Unit tash3r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ASH3R_p;

function tash3r: String;

implementation

function tash3r: String;
var
_i,N,L,IERR :Integer;
X :Array [0..2] of Real;
IR :Array [0..5] of Integer;
R :Array [0..2] of Real;
const
A :Array [0..5] of Real = ( 1.0,0.5,-1.0,3.0,2.0,1.0 );
B :Array [0..2] of Real = ( -1.0,-3.5,6.0 );
begin
Result := '';  {   }
Result := Result + Format('%s',
 [' PEEHE CCTEM YPABHEH AX=B C CMMETPECKO MATPE' + #$0D#$0A]) + #$0D#$0A; 
Result := Result + Format('%s',[' AAHHA MATPA A:' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 5 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' BEKTOP PABX ACTE B :' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
N := 3;
L := 1;
ASH3R(A,B,X,N,L,IR,R,IERR);
Result := Result + Format('%s',
 [' BEKTOP, COEPA PEEHE CXOHO CCTEM YPABHEH: ' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IERR = ']);
Result := Result + Format('%10d ',[IERR]) + #$0D#$0A;
UtRes('tash3r',Result);  {     tash3r.res }
exit;
end;

end.
